// aplProjectManager.cpp : Defines the initialization routines for the DLL.
//

#include "stdafx.h"
#include <afxdllx.h>
#include "StepData.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


static AFX_EXTENSION_MODULE AplProjectManagerDLL = { NULL, NULL };
HINSTANCE module_inst=0;

extern "C" int APIENTRY
DllMain(HINSTANCE hInstance, DWORD dwReason, LPVOID lpReserved)
{
	module_inst=hInstance;
	UNREFERENCED_PARAMETER(lpReserved);

	if (dwReason == DLL_PROCESS_ATTACH)
	{
		TRACE0("APLPROJECTMANAGER.DLL Initializing!\n");
		
		if (!AfxInitExtensionModule(AplProjectManagerDLL, hInstance))
			return 0;

		new CDynLinkLibrary(AplProjectManagerDLL);
	}
	else if (dwReason == DLL_PROCESS_DETACH)
	{
		TRACE0("APLPROJECTMANAGER.DLL Terminating!\n");
		AfxTermExtensionModule(AplProjectManagerDLL);
	}
	return 1;
}



